package io.prlab.prule;

import io.prlab.prule.entity.AppUser;
import io.prlab.prule.repositories.AppUserRepository;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class PruleApplication implements CommandLineRunner {
	private static final Logger logger =
			LoggerFactory.getLogger(
					PruleApplication.class
			);
	private final AppUserRepository appUserRepository;
	public PruleApplication(AppUserRepository appUserRepository){
		this.appUserRepository = appUserRepository;
	}
	public void run(String... args) throws Exception{
		AppUser userA = new AppUser("andrewli315", "prlab1234", "admin");
		appUserRepository.save(userA);

	}
	public static void main(String[] args) {
		SpringApplication.run(PruleApplication.class, args);
	}

}
